: ==============================================================================:
: PROGRAM NAME:         Install.bat                                             :
: Author:               Michael Do                                              :
: Date:                 September 1, 1993                                       :
: ==============================================================================:

echo off
cls
if exist midiwin.zip goto DRIVEOK
echo -----------------------------------------------------------------------------
echo Change to the drive the diskette or directory of NHACTAP.ZIP is in by typing
echo "A:" (or "B:"), (or ex. cd\temp) and pressing [enter].
echo Then type "install.bat" and press [enter].
echo -----------------------------------------------------------------------------
pause
goto DONE
:DRIVEOK
echo off
echo.-------------------------------------------------------------------
echo Please read the following Copyright information.
echo.-------------------------------------------------------------------
pause
cls
type readme.txt|more
pause
cls
echo -----------------------------------------------------------------------------
echo Do you want to continue the installation program? y/n
echo -----------------------------------------------------------------------------
nask (Y/N) , YN
if errorlevel 2 goto DONE
cls
echo -----------------------------------------------------------------------------
echo Nhactap Installation
echo.
echo This program will automatically install the Nhactap for you.
echo you must have Windows 3.1, 4M of free disk space and VGA to run this program.
echo Also you should have SoundBlaster or compatible to fully using all features.
echo -----------------------------------------------------------------------------
echo Type the letter of the drive that your Windows directory is located
echo (c, d, e, f) If you prefer none of these, type "q" and install it manually.
echo (Type "q" if you want to quit without installing.)
echo -----------------------------------------------------------------------------
nask (C/D/E/F/Q) , CDEFQ
if errorlevel 5 goto DONE
if errorlevel 4 if not errorlevel 5 set hard=F
if errorlevel 3 if not errorlevel 4 set hard=E
if errorlevel 2 if not errorlevel 3 set hard=D
if errorlevel 1 if not errorlevel 2 set hard=C
cls
echo Copying files, please wait!
echo off
md %hard%:\nhactap
pkunzip midiwin.zip  %hard%:\nhactap >nul 
copy readme.txt %hard%:\nhactap
if not exist %hard%:\windows\system\vsbd.386 goto SBPRO
cls
pkunzip sbpmidi.zip  %hard%:\nhactap >nul
goto BYPASS
:SBPRO
if not exist %hard%:\windows\system\vsbpd.386 goto GENMIDI
cls
pkunzip sbpmidi.zip  %hard%:\nhactap >nul
echo -----------------------------------------------------------------------------
echo Do you want to update the midimapper? y/n
echo -----------------------------------------------------------------------------
nask (Y/N) , YN
if errorlevel 2 goto BYPASS
if not exist %hard%:\windows\system\midimap.cfg goto PRINT
copy %hard%:\windows\system\midimap.cfg %hard%:\windows\system\midimap.bak
del %hard%:\windows\system\midimap.cfg
copy %hard%:\nhactap\midimap.sbp %hard%:\windows\system\midimap.cfg
cls
echo -------------------------------------------------------------------
echo Your MIDIMAPPER files have been changed.
echo -------------------------------------------------------------------
pause
goto BYPASS
:PRINT
echo -------------------------------------------------------------------
echo Sorry, your MIDIMAP.CFG do not exist, please check it out
echo -------------------------------------------------------------------
pause
goto BYPASS
:GENMIDI
pkunzip gen_midi.zip  %hard%:\nhactap >nul
:BYPASS
echo.-------------------------------------------------------------------
echo I am done now. Your NHACTAP is in \nhactap directory
echo Would you like to start Windows now ? (y/n) 
echo.-------------------------------------------------------------------
nask (Y/N) , YN
if errorlevel 2 goto DONE
set hard=
Win
:DONE
set hard=

